endpoint

package
v0.1.1 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Dec 20, 2017 License: Apache-2.0 Imports: 13 Imported by: 0

Documentation ¶

Index ¶

Constants ¶

View Source
const AddAPIBadRequestCode int = 400

AddAPIBadRequestCode is the HTTP code returned for type AddAPIBadRequest

View Source
const AddAPIInternalServerErrorCode int = 500

AddAPIInternalServerErrorCode is the HTTP code returned for type AddAPIInternalServerError

View Source
const AddAPIOKCode int = 200

AddAPIOKCode is the HTTP code returned for type AddAPIOK

View Source
const AddAPIUnauthorizedCode int = 401

AddAPIUnauthorizedCode is the HTTP code returned for type AddAPIUnauthorized

View Source
const DeleteAPIBadRequestCode int = 400

DeleteAPIBadRequestCode is the HTTP code returned for type DeleteAPIBadRequest

View Source
const DeleteAPIInternalServerErrorCode int = 500

DeleteAPIInternalServerErrorCode is the HTTP code returned for type DeleteAPIInternalServerError

View Source
const DeleteAPINotFoundCode int = 404

DeleteAPINotFoundCode is the HTTP code returned for type DeleteAPINotFound

View Source
const DeleteAPIOKCode int = 200

DeleteAPIOKCode is the HTTP code returned for type DeleteAPIOK

View Source
const GetAPIBadRequestCode int = 400

GetAPIBadRequestCode is the HTTP code returned for type GetAPIBadRequest

View Source
const GetAPIInternalServerErrorCode int = 500

GetAPIInternalServerErrorCode is the HTTP code returned for type GetAPIInternalServerError

View Source
const GetAPINotFoundCode int = 404

GetAPINotFoundCode is the HTTP code returned for type GetAPINotFound

View Source
const GetAPIOKCode int = 200

GetAPIOKCode is the HTTP code returned for type GetAPIOK

View Source
const GetApisInternalServerErrorCode int = 500

GetApisInternalServerErrorCode is the HTTP code returned for type GetApisInternalServerError

View Source
const GetApisOKCode int = 200

GetApisOKCode is the HTTP code returned for type GetApisOK

View Source
const UpdateAPIBadRequestCode int = 400

UpdateAPIBadRequestCode is the HTTP code returned for type UpdateAPIBadRequest

View Source
const UpdateAPIInternalServerErrorCode int = 500

UpdateAPIInternalServerErrorCode is the HTTP code returned for type UpdateAPIInternalServerError

View Source
const UpdateAPINotFoundCode int = 404

UpdateAPINotFoundCode is the HTTP code returned for type UpdateAPINotFound

View Source
const UpdateAPIOKCode int = 200

UpdateAPIOKCode is the HTTP code returned for type UpdateAPIOK

Variables ¶

This section is empty.

Functions ¶

This section is empty.

Types ¶

type AddAPI ¶

type AddAPI struct {
	Context *middleware.Context
	Handler AddAPIHandler
}

AddAPI swagger:route POST / endpoint addApi

Add a new API

func NewAddAPI ¶

func NewAddAPI(ctx *middleware.Context, handler AddAPIHandler) *AddAPI

NewAddAPI creates a new http.Handler for the add API operation

func (*AddAPI) ServeHTTP ¶

func (o *AddAPI) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type AddAPIBadRequest ¶

type AddAPIBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

AddAPIBadRequest Invalid Input

swagger:response addApiBadRequest

func NewAddAPIBadRequest ¶

func NewAddAPIBadRequest() *AddAPIBadRequest

NewAddAPIBadRequest creates AddAPIBadRequest with default headers values

func (*AddAPIBadRequest) SetPayload ¶

func (o *AddAPIBadRequest) SetPayload(payload *models.Error)

SetPayload sets the payload to the add Api bad request response

func (*AddAPIBadRequest) WithPayload ¶

func (o *AddAPIBadRequest) WithPayload(payload *models.Error) *AddAPIBadRequest

WithPayload adds the payload to the add Api bad request response

func (*AddAPIBadRequest) WriteResponse ¶

func (o *AddAPIBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddAPIHandler ¶

type AddAPIHandler interface {
	Handle(AddAPIParams, interface{}) middleware.Responder
}

AddAPIHandler interface for that can handle valid add API params

type AddAPIHandlerFunc ¶

type AddAPIHandlerFunc func(AddAPIParams, interface{}) middleware.Responder

AddAPIHandlerFunc turns a function with the right signature into a add API handler

func (AddAPIHandlerFunc) Handle ¶

func (fn AddAPIHandlerFunc) Handle(params AddAPIParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type AddAPIInternalServerError ¶

type AddAPIInternalServerError struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

AddAPIInternalServerError Internal Error

swagger:response addApiInternalServerError

func NewAddAPIInternalServerError ¶

func NewAddAPIInternalServerError() *AddAPIInternalServerError

NewAddAPIInternalServerError creates AddAPIInternalServerError with default headers values

func (*AddAPIInternalServerError) SetPayload ¶

func (o *AddAPIInternalServerError) SetPayload(payload *models.Error)

SetPayload sets the payload to the add Api internal server error response

func (*AddAPIInternalServerError) WithPayload ¶

WithPayload adds the payload to the add Api internal server error response

func (*AddAPIInternalServerError) WriteResponse ¶

func (o *AddAPIInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddAPIOK ¶

type AddAPIOK struct {

	/*
	  In: Body
	*/
	Payload *models.API `json:"body,omitempty"`
}

AddAPIOK API created

swagger:response addApiOK

func NewAddAPIOK ¶

func NewAddAPIOK() *AddAPIOK

NewAddAPIOK creates AddAPIOK with default headers values

func (*AddAPIOK) SetPayload ¶

func (o *AddAPIOK) SetPayload(payload *models.API)

SetPayload sets the payload to the add Api o k response

func (*AddAPIOK) WithPayload ¶

func (o *AddAPIOK) WithPayload(payload *models.API) *AddAPIOK

WithPayload adds the payload to the add Api o k response

func (*AddAPIOK) WriteResponse ¶

func (o *AddAPIOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type AddAPIParams ¶

type AddAPIParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*API object
	  Required: true
	  In: body
	*/
	Body *models.API
}

AddAPIParams contains all the bound params for the add API operation typically these are obtained from a http.Request

swagger:parameters addAPI

func NewAddAPIParams ¶

func NewAddAPIParams() AddAPIParams

NewAddAPIParams creates a new AddAPIParams object with the default values initialized.

func (*AddAPIParams) BindRequest ¶

func (o *AddAPIParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type AddAPIURL ¶

type AddAPIURL struct {
	// contains filtered or unexported fields
}

AddAPIURL generates an URL for the add API operation

func (*AddAPIURL) Build ¶

func (o *AddAPIURL) Build() (*url.URL, error)

Build a url path and query string

func (*AddAPIURL) BuildFull ¶

func (o *AddAPIURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*AddAPIURL) Must ¶

func (o *AddAPIURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*AddAPIURL) SetBasePath ¶

func (o *AddAPIURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*AddAPIURL) String ¶

func (o *AddAPIURL) String() string

String returns the string representation of the path with query string

func (*AddAPIURL) StringFull ¶

func (o *AddAPIURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*AddAPIURL) WithBasePath ¶

func (o *AddAPIURL) WithBasePath(bp string) *AddAPIURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type AddAPIUnauthorized ¶

type AddAPIUnauthorized struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

AddAPIUnauthorized Unauthorized Request

swagger:response addApiUnauthorized

func NewAddAPIUnauthorized ¶

func NewAddAPIUnauthorized() *AddAPIUnauthorized

NewAddAPIUnauthorized creates AddAPIUnauthorized with default headers values

func (*AddAPIUnauthorized) SetPayload ¶

func (o *AddAPIUnauthorized) SetPayload(payload *models.Error)

SetPayload sets the payload to the add Api unauthorized response

func (*AddAPIUnauthorized) WithPayload ¶

func (o *AddAPIUnauthorized) WithPayload(payload *models.Error) *AddAPIUnauthorized

WithPayload adds the payload to the add Api unauthorized response

func (*AddAPIUnauthorized) WriteResponse ¶

func (o *AddAPIUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteAPI ¶

type DeleteAPI struct {
	Context *middleware.Context
	Handler DeleteAPIHandler
}

DeleteAPI swagger:route DELETE /{api} endpoint deleteApi

Deletes an API

func NewDeleteAPI ¶

func NewDeleteAPI(ctx *middleware.Context, handler DeleteAPIHandler) *DeleteAPI

NewDeleteAPI creates a new http.Handler for the delete API operation

func (*DeleteAPI) ServeHTTP ¶

func (o *DeleteAPI) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type DeleteAPIBadRequest ¶

type DeleteAPIBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

DeleteAPIBadRequest Invalid Name supplied

swagger:response deleteApiBadRequest

func NewDeleteAPIBadRequest ¶

func NewDeleteAPIBadRequest() *DeleteAPIBadRequest

NewDeleteAPIBadRequest creates DeleteAPIBadRequest with default headers values

func (*DeleteAPIBadRequest) SetPayload ¶

func (o *DeleteAPIBadRequest) SetPayload(payload *models.Error)

SetPayload sets the payload to the delete Api bad request response

func (*DeleteAPIBadRequest) WithPayload ¶

func (o *DeleteAPIBadRequest) WithPayload(payload *models.Error) *DeleteAPIBadRequest

WithPayload adds the payload to the delete Api bad request response

func (*DeleteAPIBadRequest) WriteResponse ¶

func (o *DeleteAPIBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteAPIHandler ¶

type DeleteAPIHandler interface {
	Handle(DeleteAPIParams, interface{}) middleware.Responder
}

DeleteAPIHandler interface for that can handle valid delete API params

type DeleteAPIHandlerFunc ¶

type DeleteAPIHandlerFunc func(DeleteAPIParams, interface{}) middleware.Responder

DeleteAPIHandlerFunc turns a function with the right signature into a delete API handler

func (DeleteAPIHandlerFunc) Handle ¶

func (fn DeleteAPIHandlerFunc) Handle(params DeleteAPIParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type DeleteAPIInternalServerError ¶

type DeleteAPIInternalServerError struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

DeleteAPIInternalServerError Internal error

swagger:response deleteApiInternalServerError

func NewDeleteAPIInternalServerError ¶

func NewDeleteAPIInternalServerError() *DeleteAPIInternalServerError

NewDeleteAPIInternalServerError creates DeleteAPIInternalServerError with default headers values

func (*DeleteAPIInternalServerError) SetPayload ¶

func (o *DeleteAPIInternalServerError) SetPayload(payload *models.Error)

SetPayload sets the payload to the delete Api internal server error response

func (*DeleteAPIInternalServerError) WithPayload ¶

WithPayload adds the payload to the delete Api internal server error response

func (*DeleteAPIInternalServerError) WriteResponse ¶

func (o *DeleteAPIInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteAPINotFound ¶

type DeleteAPINotFound struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

DeleteAPINotFound API not found

swagger:response deleteApiNotFound

func NewDeleteAPINotFound ¶

func NewDeleteAPINotFound() *DeleteAPINotFound

NewDeleteAPINotFound creates DeleteAPINotFound with default headers values

func (*DeleteAPINotFound) SetPayload ¶

func (o *DeleteAPINotFound) SetPayload(payload *models.Error)

SetPayload sets the payload to the delete Api not found response

func (*DeleteAPINotFound) WithPayload ¶

func (o *DeleteAPINotFound) WithPayload(payload *models.Error) *DeleteAPINotFound

WithPayload adds the payload to the delete Api not found response

func (*DeleteAPINotFound) WriteResponse ¶

func (o *DeleteAPINotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteAPIOK ¶

type DeleteAPIOK struct {

	/*
	  In: Body
	*/
	Payload *models.API `json:"body,omitempty"`
}

DeleteAPIOK Successful operation

swagger:response deleteApiOK

func NewDeleteAPIOK ¶

func NewDeleteAPIOK() *DeleteAPIOK

NewDeleteAPIOK creates DeleteAPIOK with default headers values

func (*DeleteAPIOK) SetPayload ¶

func (o *DeleteAPIOK) SetPayload(payload *models.API)

SetPayload sets the payload to the delete Api o k response

func (*DeleteAPIOK) WithPayload ¶

func (o *DeleteAPIOK) WithPayload(payload *models.API) *DeleteAPIOK

WithPayload adds the payload to the delete Api o k response

func (*DeleteAPIOK) WriteResponse ¶

func (o *DeleteAPIOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type DeleteAPIParams ¶

type DeleteAPIParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*Name of API to work on
	  Required: true
	  Pattern: ^[\w\d\-]+$
	  In: path
	*/
	API string
}

DeleteAPIParams contains all the bound params for the delete API operation typically these are obtained from a http.Request

swagger:parameters deleteAPI

func NewDeleteAPIParams ¶

func NewDeleteAPIParams() DeleteAPIParams

NewDeleteAPIParams creates a new DeleteAPIParams object with the default values initialized.

func (*DeleteAPIParams) BindRequest ¶

func (o *DeleteAPIParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type DeleteAPIURL ¶

type DeleteAPIURL struct {
	API string
	// contains filtered or unexported fields
}

DeleteAPIURL generates an URL for the delete API operation

func (*DeleteAPIURL) Build ¶

func (o *DeleteAPIURL) Build() (*url.URL, error)

Build a url path and query string

func (*DeleteAPIURL) BuildFull ¶

func (o *DeleteAPIURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*DeleteAPIURL) Must ¶

func (o *DeleteAPIURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*DeleteAPIURL) SetBasePath ¶

func (o *DeleteAPIURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*DeleteAPIURL) String ¶

func (o *DeleteAPIURL) String() string

String returns the string representation of the path with query string

func (*DeleteAPIURL) StringFull ¶

func (o *DeleteAPIURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*DeleteAPIURL) WithBasePath ¶

func (o *DeleteAPIURL) WithBasePath(bp string) *DeleteAPIURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetAPI ¶

type GetAPI struct {
	Context *middleware.Context
	Handler GetAPIHandler
}

GetAPI swagger:route GET /{api} endpoint getApi

Find API by name ¶

get an API by name

func NewGetAPI ¶

func NewGetAPI(ctx *middleware.Context, handler GetAPIHandler) *GetAPI

NewGetAPI creates a new http.Handler for the get API operation

func (*GetAPI) ServeHTTP ¶

func (o *GetAPI) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetAPIBadRequest ¶

type GetAPIBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetAPIBadRequest Invalid Name supplied

swagger:response getApiBadRequest

func NewGetAPIBadRequest ¶

func NewGetAPIBadRequest() *GetAPIBadRequest

NewGetAPIBadRequest creates GetAPIBadRequest with default headers values

func (*GetAPIBadRequest) SetPayload ¶

func (o *GetAPIBadRequest) SetPayload(payload *models.Error)

SetPayload sets the payload to the get Api bad request response

func (*GetAPIBadRequest) WithPayload ¶

func (o *GetAPIBadRequest) WithPayload(payload *models.Error) *GetAPIBadRequest

WithPayload adds the payload to the get Api bad request response

func (*GetAPIBadRequest) WriteResponse ¶

func (o *GetAPIBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetAPIHandler ¶

type GetAPIHandler interface {
	Handle(GetAPIParams, interface{}) middleware.Responder
}

GetAPIHandler interface for that can handle valid get API params

type GetAPIHandlerFunc ¶

type GetAPIHandlerFunc func(GetAPIParams, interface{}) middleware.Responder

GetAPIHandlerFunc turns a function with the right signature into a get API handler

func (GetAPIHandlerFunc) Handle ¶

func (fn GetAPIHandlerFunc) Handle(params GetAPIParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetAPIInternalServerError ¶

type GetAPIInternalServerError struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetAPIInternalServerError Internal error

swagger:response getApiInternalServerError

func NewGetAPIInternalServerError ¶

func NewGetAPIInternalServerError() *GetAPIInternalServerError

NewGetAPIInternalServerError creates GetAPIInternalServerError with default headers values

func (*GetAPIInternalServerError) SetPayload ¶

func (o *GetAPIInternalServerError) SetPayload(payload *models.Error)

SetPayload sets the payload to the get Api internal server error response

func (*GetAPIInternalServerError) WithPayload ¶

WithPayload adds the payload to the get Api internal server error response

func (*GetAPIInternalServerError) WriteResponse ¶

func (o *GetAPIInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetAPINotFound ¶

type GetAPINotFound struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetAPINotFound API not found

swagger:response getApiNotFound

func NewGetAPINotFound ¶

func NewGetAPINotFound() *GetAPINotFound

NewGetAPINotFound creates GetAPINotFound with default headers values

func (*GetAPINotFound) SetPayload ¶

func (o *GetAPINotFound) SetPayload(payload *models.Error)

SetPayload sets the payload to the get Api not found response

func (*GetAPINotFound) WithPayload ¶

func (o *GetAPINotFound) WithPayload(payload *models.Error) *GetAPINotFound

WithPayload adds the payload to the get Api not found response

func (*GetAPINotFound) WriteResponse ¶

func (o *GetAPINotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetAPIOK ¶

type GetAPIOK struct {

	/*
	  In: Body
	*/
	Payload *models.API `json:"body,omitempty"`
}

GetAPIOK Successful operation

swagger:response getApiOK

func NewGetAPIOK ¶

func NewGetAPIOK() *GetAPIOK

NewGetAPIOK creates GetAPIOK with default headers values

func (*GetAPIOK) SetPayload ¶

func (o *GetAPIOK) SetPayload(payload *models.API)

SetPayload sets the payload to the get Api o k response

func (*GetAPIOK) WithPayload ¶

func (o *GetAPIOK) WithPayload(payload *models.API) *GetAPIOK

WithPayload adds the payload to the get Api o k response

func (*GetAPIOK) WriteResponse ¶

func (o *GetAPIOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetAPIParams ¶

type GetAPIParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*Name of API to work on
	  Required: true
	  Pattern: ^[\w\d\-]+$
	  In: path
	*/
	API string
}

GetAPIParams contains all the bound params for the get API operation typically these are obtained from a http.Request

swagger:parameters getAPI

func NewGetAPIParams ¶

func NewGetAPIParams() GetAPIParams

NewGetAPIParams creates a new GetAPIParams object with the default values initialized.

func (*GetAPIParams) BindRequest ¶

func (o *GetAPIParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type GetAPIURL ¶

type GetAPIURL struct {
	API string
	// contains filtered or unexported fields
}

GetAPIURL generates an URL for the get API operation

func (*GetAPIURL) Build ¶

func (o *GetAPIURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetAPIURL) BuildFull ¶

func (o *GetAPIURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetAPIURL) Must ¶

func (o *GetAPIURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetAPIURL) SetBasePath ¶

func (o *GetAPIURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetAPIURL) String ¶

func (o *GetAPIURL) String() string

String returns the string representation of the path with query string

func (*GetAPIURL) StringFull ¶

func (o *GetAPIURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetAPIURL) WithBasePath ¶

func (o *GetAPIURL) WithBasePath(bp string) *GetAPIURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetApis ¶

type GetApis struct {
	Context *middleware.Context
	Handler GetApisHandler
}

GetApis swagger:route GET / endpoint getApis

List all existing APIs

func NewGetApis ¶

func NewGetApis(ctx *middleware.Context, handler GetApisHandler) *GetApis

NewGetApis creates a new http.Handler for the get apis operation

func (*GetApis) ServeHTTP ¶

func (o *GetApis) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetApisDefault ¶

type GetApisDefault struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetApisDefault Unexpected Error

swagger:response getApisDefault

func NewGetApisDefault ¶

func NewGetApisDefault(code int) *GetApisDefault

NewGetApisDefault creates GetApisDefault with default headers values

func (*GetApisDefault) SetPayload ¶

func (o *GetApisDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get apis default response

func (*GetApisDefault) SetStatusCode ¶

func (o *GetApisDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get apis default response

func (*GetApisDefault) WithPayload ¶

func (o *GetApisDefault) WithPayload(payload *models.Error) *GetApisDefault

WithPayload adds the payload to the get apis default response

func (*GetApisDefault) WithStatusCode ¶

func (o *GetApisDefault) WithStatusCode(code int) *GetApisDefault

WithStatusCode adds the status to the get apis default response

func (*GetApisDefault) WriteResponse ¶

func (o *GetApisDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetApisHandler ¶

type GetApisHandler interface {
	Handle(GetApisParams, interface{}) middleware.Responder
}

GetApisHandler interface for that can handle valid get apis params

type GetApisHandlerFunc ¶

type GetApisHandlerFunc func(GetApisParams, interface{}) middleware.Responder

GetApisHandlerFunc turns a function with the right signature into a get apis handler

func (GetApisHandlerFunc) Handle ¶

func (fn GetApisHandlerFunc) Handle(params GetApisParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetApisInternalServerError ¶

type GetApisInternalServerError struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

GetApisInternalServerError Internal Error

swagger:response getApisInternalServerError

func NewGetApisInternalServerError ¶

func NewGetApisInternalServerError() *GetApisInternalServerError

NewGetApisInternalServerError creates GetApisInternalServerError with default headers values

func (*GetApisInternalServerError) SetPayload ¶

func (o *GetApisInternalServerError) SetPayload(payload *models.Error)

SetPayload sets the payload to the get apis internal server error response

func (*GetApisInternalServerError) WithPayload ¶

WithPayload adds the payload to the get apis internal server error response

func (*GetApisInternalServerError) WriteResponse ¶

func (o *GetApisInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetApisOK ¶

type GetApisOK struct {

	/*
	  In: Body
	*/
	Payload models.GetApisOKBody `json:"body,omitempty"`
}

GetApisOK Successful operation

swagger:response getApisOK

func NewGetApisOK ¶

func NewGetApisOK() *GetApisOK

NewGetApisOK creates GetApisOK with default headers values

func (*GetApisOK) SetPayload ¶

func (o *GetApisOK) SetPayload(payload models.GetApisOKBody)

SetPayload sets the payload to the get apis o k response

func (*GetApisOK) WithPayload ¶

func (o *GetApisOK) WithPayload(payload models.GetApisOKBody) *GetApisOK

WithPayload adds the payload to the get apis o k response

func (*GetApisOK) WriteResponse ¶

func (o *GetApisOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetApisParams ¶

type GetApisParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*Filter based on function names
	  In: query
	*/
	Function *string
	/*Filter on API tags
	  In: query
	  Collection Format: multi
	*/
	Tags []string
}

GetApisParams contains all the bound params for the get apis operation typically these are obtained from a http.Request

swagger:parameters getAPIs

func NewGetApisParams ¶

func NewGetApisParams() GetApisParams

NewGetApisParams creates a new GetApisParams object with the default values initialized.

func (*GetApisParams) BindRequest ¶

func (o *GetApisParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type GetApisURL ¶

type GetApisURL struct {
	Function *string
	Tags     []string
	// contains filtered or unexported fields
}

GetApisURL generates an URL for the get apis operation

func (*GetApisURL) Build ¶

func (o *GetApisURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetApisURL) BuildFull ¶

func (o *GetApisURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetApisURL) Must ¶

func (o *GetApisURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetApisURL) SetBasePath ¶

func (o *GetApisURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetApisURL) String ¶

func (o *GetApisURL) String() string

String returns the string representation of the path with query string

func (*GetApisURL) StringFull ¶

func (o *GetApisURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetApisURL) WithBasePath ¶

func (o *GetApisURL) WithBasePath(bp string) *GetApisURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type UpdateAPI ¶

type UpdateAPI struct {
	Context *middleware.Context
	Handler UpdateAPIHandler
}

UpdateAPI swagger:route PUT /{api} endpoint updateApi

Update an API

func NewUpdateAPI ¶

func NewUpdateAPI(ctx *middleware.Context, handler UpdateAPIHandler) *UpdateAPI

NewUpdateAPI creates a new http.Handler for the update API operation

func (*UpdateAPI) ServeHTTP ¶

func (o *UpdateAPI) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type UpdateAPIBadRequest ¶

type UpdateAPIBadRequest struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

UpdateAPIBadRequest Invalid input

swagger:response updateApiBadRequest

func NewUpdateAPIBadRequest ¶

func NewUpdateAPIBadRequest() *UpdateAPIBadRequest

NewUpdateAPIBadRequest creates UpdateAPIBadRequest with default headers values

func (*UpdateAPIBadRequest) SetPayload ¶

func (o *UpdateAPIBadRequest) SetPayload(payload *models.Error)

SetPayload sets the payload to the update Api bad request response

func (*UpdateAPIBadRequest) WithPayload ¶

func (o *UpdateAPIBadRequest) WithPayload(payload *models.Error) *UpdateAPIBadRequest

WithPayload adds the payload to the update Api bad request response

func (*UpdateAPIBadRequest) WriteResponse ¶

func (o *UpdateAPIBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type UpdateAPIHandler ¶

type UpdateAPIHandler interface {
	Handle(UpdateAPIParams, interface{}) middleware.Responder
}

UpdateAPIHandler interface for that can handle valid update API params

type UpdateAPIHandlerFunc ¶

type UpdateAPIHandlerFunc func(UpdateAPIParams, interface{}) middleware.Responder

UpdateAPIHandlerFunc turns a function with the right signature into a update API handler

func (UpdateAPIHandlerFunc) Handle ¶

func (fn UpdateAPIHandlerFunc) Handle(params UpdateAPIParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type UpdateAPIInternalServerError ¶

type UpdateAPIInternalServerError struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

UpdateAPIInternalServerError Internal error

swagger:response updateApiInternalServerError

func NewUpdateAPIInternalServerError ¶

func NewUpdateAPIInternalServerError() *UpdateAPIInternalServerError

NewUpdateAPIInternalServerError creates UpdateAPIInternalServerError with default headers values

func (*UpdateAPIInternalServerError) SetPayload ¶

func (o *UpdateAPIInternalServerError) SetPayload(payload *models.Error)

SetPayload sets the payload to the update Api internal server error response

func (*UpdateAPIInternalServerError) WithPayload ¶

WithPayload adds the payload to the update Api internal server error response

func (*UpdateAPIInternalServerError) WriteResponse ¶

func (o *UpdateAPIInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type UpdateAPINotFound ¶

type UpdateAPINotFound struct {

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

UpdateAPINotFound API not found

swagger:response updateApiNotFound

func NewUpdateAPINotFound ¶

func NewUpdateAPINotFound() *UpdateAPINotFound

NewUpdateAPINotFound creates UpdateAPINotFound with default headers values

func (*UpdateAPINotFound) SetPayload ¶

func (o *UpdateAPINotFound) SetPayload(payload *models.Error)

SetPayload sets the payload to the update Api not found response

func (*UpdateAPINotFound) WithPayload ¶

func (o *UpdateAPINotFound) WithPayload(payload *models.Error) *UpdateAPINotFound

WithPayload adds the payload to the update Api not found response

func (*UpdateAPINotFound) WriteResponse ¶

func (o *UpdateAPINotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type UpdateAPIOK ¶

type UpdateAPIOK struct {

	/*
	  In: Body
	*/
	Payload *models.API `json:"body,omitempty"`
}

UpdateAPIOK Successful update

swagger:response updateApiOK

func NewUpdateAPIOK ¶

func NewUpdateAPIOK() *UpdateAPIOK

NewUpdateAPIOK creates UpdateAPIOK with default headers values

func (*UpdateAPIOK) SetPayload ¶

func (o *UpdateAPIOK) SetPayload(payload *models.API)

SetPayload sets the payload to the update Api o k response

func (*UpdateAPIOK) WithPayload ¶

func (o *UpdateAPIOK) WithPayload(payload *models.API) *UpdateAPIOK

WithPayload adds the payload to the update Api o k response

func (*UpdateAPIOK) WriteResponse ¶

func (o *UpdateAPIOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type UpdateAPIParams ¶

type UpdateAPIParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*Name of API to work on
	  Required: true
	  Pattern: ^[\w\d\-]+$
	  In: path
	*/
	API string
	/*API object
	  Required: true
	  In: body
	*/
	Body *models.API
}

UpdateAPIParams contains all the bound params for the update API operation typically these are obtained from a http.Request

swagger:parameters updateAPI

func NewUpdateAPIParams ¶

func NewUpdateAPIParams() UpdateAPIParams

NewUpdateAPIParams creates a new UpdateAPIParams object with the default values initialized.

func (*UpdateAPIParams) BindRequest ¶

func (o *UpdateAPIParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type UpdateAPIURL ¶

type UpdateAPIURL struct {
	API string
	// contains filtered or unexported fields
}

UpdateAPIURL generates an URL for the update API operation

func (*UpdateAPIURL) Build ¶

func (o *UpdateAPIURL) Build() (*url.URL, error)

Build a url path and query string

func (*UpdateAPIURL) BuildFull ¶

func (o *UpdateAPIURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*UpdateAPIURL) Must ¶

func (o *UpdateAPIURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*UpdateAPIURL) SetBasePath ¶

func (o *UpdateAPIURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*UpdateAPIURL) String ¶

func (o *UpdateAPIURL) String() string

String returns the string representation of the path with query string

func (*UpdateAPIURL) StringFull ¶

func (o *UpdateAPIURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*UpdateAPIURL) WithBasePath ¶

func (o *UpdateAPIURL) WithBasePath(bp string) *UpdateAPIURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL